Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005156OCamlOCaml generalpublic2010-09-26 22:022012-03-24 15:01
Reporteryziquel 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005156: Toplevel runs into Assert_failure("typing/ctype.ml", 266, 23)
Descriptionyziquel@seldon:~$ ocaml -rectypes
        Objective Caml version 3.12.0

# type 'a obj = ( < .. > as 'a);;
type 'a obj = 'a constraint 'a = < .. >
# class ['a] o = object (self : 'a obj) end;;
Fatal error: exception Assert_failure("typing/ctype.ml", 266, 23)
yziquel@seldon:~$
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005667)
garrigue (manager)
2010-10-02 11:17

There was a long-standing problem with using abbreviations of the form "type 'a t = 'a" for the type of self.
This is now fixed, in revision 10703, branch version/3.12.

- Issue History
Date Modified Username Field Change
2010-09-26 22:02 yziquel New Issue
2010-10-02 11:17 garrigue Note Added: 0005667
2010-10-02 11:17 garrigue Status new => resolved
2010-10-02 11:17 garrigue Fixed in Version => 3.12.1+dev
2010-10-02 11:17 garrigue Resolution open => fixed
2010-10-02 11:17 garrigue Assigned To => garrigue
2012-03-24 15:01 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker